## EXPORT_SPEC int ixmlElement_setAttributeNS

## (IXML_Element* element,
DOMString namespaceURI,
DOMString qualifiedName,
DOMString value )

> Adds a new attribute to an Element using the local name and namespace URI.

## Documentation

> Adds a new attribute to an Element using the local name and namespace URI. If another attribute matches the same local name and namespace, the prefix is changed to be the prefix part of the `qualifiedName` and the value is changed to value.

Parameters:
  element - The Element on which to set the attribute.
  namespaceURI - The namespace URI of the new attribute.
  qualifiedName - The qualified name of the attribute.
  value - The new value for the attribute.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either element, namespaceURI, qualifiedName, or value is `NULL`.
  - `IXML_INVALID_CHARACTER_ERR`: qualifiedName contains an invalid character.
  - `IXML_NAMESPACE_ERR`: Either the qualifiedName or namespaceURI is malformed. Refer to the DOM2-Core for possible reasons.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exist to complete the operation.
  - `IXML_FAILED`: The operation could not be completed.

Alphabetic index

This page was generated with the help of DOC++.